Upstream information

CVE-2017-10140 at MITRE

Description

Postfix before 2.11.10, 3.0.x before 3.0.10, 3.1.x before 3.1.6, and 3.2.x before 3.2.2 might allow local users to gain privileges by leveraging undocumented functionality in Berkeley DB 2.x and later, related to reading settings from DB_CONFIG in the current directory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.6 2.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P AV:L/AC:H/Au:N/C:P/I:N/A:P
Access Vector Local Local
Access Complexity Low High
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 5.1
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1043886 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
Magnum Orchestration libdb-4_8 Released
SUSE Container as a Service Platform 1.0 libdb-4_8 Released
SUSE Container as a Service Platform 2.0 libdb-4_8 Released
SUSE Linux Enterprise Desktop 12 SP2 libdb-4_8 Released
SUSE Linux Enterprise Desktop 12 SP3 libdb-4_8 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libdb-4_8 Released
SUSE Linux Enterprise Server 11 SP1 libdb-4_5 Released
SUSE Linux Enterprise Server 11 SP3 libdb-4_5 Released
SUSE Linux Enterprise Server 11 SP3 LTSS libdb-4_5 Affected
SUSE Linux Enterprise Server 11 SP4 libdb-4_5 Released
SUSE Linux Enterprise Server 12 LTSS libdb-4_8 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libdb-4_8 Affected
SUSE Linux Enterprise Server 12 SP2 libdb-4_8 Released
SUSE Linux Enterprise Server 12 SP3 libdb-4_8 Released
SUSE Linux Enterprise Server 12 SP5 libdb-4_8 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libdb-4_8 Released
SUSE Linux Enterprise Server for the Raspberry Pi libdb-4_8 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libdb-4_5 Released
SUSE Linux Enterprise Software Development Kit 12 libdb-4_8 Released
SUSE Linux Enterprise Software Development Kit 12 SP3 libdb-4_8 Released
SUSE Studio Onsite libdb-4_5 Released